Name:		ffmpegthumbnailer
Version:	2.0.10
Release:	4%{?dist}
Summary:	lightweight video thumbnailer

Group:		Application/Multimedia
License:	GPLv2
URL:        https://github.com/dirkvdb/ffmpegthumbnailer
Source0:    https://github.com/dirkvdb/ffmpegthumbnailer/releases/download/%{version}/%{name}-%{version}.tar.bz2
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:	libpng-devel
BuildRequires:	libjpeg-turbo-devel
BuildRequires:	giflib-devel
BuildRequires:  cmake

BuildRequires:	ffmpeg-devel ffmpeg
Requires:	ffmpeg-devel ffmpeg

Packager:       momo-i <webmaster@momo-i.org>
Vendor:         momo-i, http://www.momo-i.org/

%description
FFmpegthumbnailer is a lightweight video thumbnailer that can be used by file
managers to create thumbnails for your video files. The thumbnailer uses ffmpeg
o decode frames from the video files, so supported videoformats depend on the
configuration flags of ffmpeg.

%package devel
Summary:    FFmpegthumbnailer Libraries.
Group: Development/Languages

%description devel
FFmpegthumbnailer Libraries.

%prep
%setup -q
sed -i -e "s|/man/man1|/share/man/man1|g;" \
	-e "s|LIBRARY DESTINATION \${CMAKE_INSTALL_PREFIX}/lib|LIBRARY DESTINATION \${CMAKE_INSTALL_PREFIX}/%{_lib}|g;" \
	-e "s|ARCHIVE DESTINATION \${CMAKE_INSTALL_PREFIX}/lib|ARCHIVE DESTINATION \${CMAKE_INSTALL_PREFIX}/%{_lib}|g;" \
	-e "s|\${CMAKE_INSTALL_PREFIX}/lib/pkgconfig|\${CMAKE_INSTALL_PREFIX}/%{_lib}/pkgconfig|g;" \
CMakeLists.txt

%build
%cmake .
%{__make} %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog INSTALL NEWS README TODO
%{!?_licensedir:%global license %%doc}
%license COPYING
%{_bindir}/%{name}
%{_mandir}/man1/ffmpegthumbnailer.1*
%{_libdir}/libffmpegthumbnailer.so.*

%files devel
%{_includedir}/libffmpegthumbnailer
%{_libdir}/libffmpegthumbnailer.so
%{_libdir}/pkgconfig/libffmpegthumbnailer.pc

%changelog
* Fri Jun 12 2015 momo-i <webmaster@momo-i.org> - 2.0.10-4
- Update to 2.0.10

* Fri Apr 17 2015 momo-i <webmaster@momo-i.org> - 2.0.9-4
- Rebuilt for fc22

* Wed Sep 17 2014 momo-i <webmaster@momo-i.org> - 2.0.9-3
- Update to 2.0.9

* Thu Jan 23 2014 momo-i <webmaster@momo-i.org> - 2.0.8-3
- Update for ffmpeg

* Wed Jul 17 2013 momo-i <webmaster@momo-i.org> 2.0.8-2
- For ffmpeg 2.0

* Fri Sep  2 2011 momo-i <webmaster@momo-i.org> 2.0.7-1
- Initial rpm release.
